XPathSelector
Keywords: uk.ac.ic.doc.automed.xmlschema.output.XPathSelector class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.output
Class XPathSelector

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.output.XPathSelector

    public class XPathSelector

extends java.lang.Object

Author:
  Andrew Charles Smith - acs203 Used for key selection

Constructor Summary
`XPathSelector(java.lang.String selector, java.lang.String field)` Creates a new instance of XPathSelector
`XPathSelector(java.lang.String selector, java.lang.String field, java.lang.String refers)` Creates a new instance of XPathSelector for a keyref with a refers element

Method Summary
`java.lang.String` | `getField()` Return XPath field
`java.lang.String` | `getRefers()` Return refers element for a keyref
`java.lang.String` | `getSelector()` Return XPath selector

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathSelector

    public XPathSelector(java.lang.String selector,
                         java.lang.String field)

  Creates a new instance of XPathSelector

### XPathSelector

    public XPathSelector(java.lang.String selector,
                         java.lang.String field,
                         java.lang.String refers)

  Creates a new instance of XPathSelector for a keyref with a refers element

Method Detail

### getSelector

    public java.lang.String getSelector()

  Return XPath selector

### getField

    public java.lang.String getField()

  Return XPath field

### getRefers

    public java.lang.String getRefers()

  Return refers element for a keyref

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD